Subject: Ticket Assigned - Urgent Complaint Order # 9514033004 - Case 4668855
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 11 Aug 2022 02:30:31 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Urgent Complaint Order # 9514033004 - Case 4668855 
Good day,

I just had a conversation with the Call Centre (Haifa) and extremely unsatisfied. The purpose of the call was raising the complaint regarding electronic devise (Tommee Tipper Food steamer), it got broken after less than 2 weeks of usage (started from 18th July when my baby turned 6 months). It steams and then shredding, so looks like the plastic it’s made of has a very bad quality which got broken after the vibration (photos attached).
The order number is in the subject. I need please to sort it out urgently as have to feed my baby, but now afraid to use it further due to this issue.

In addition I have to raise the complaint regarding the lady on the phone. She was extremely unprofessional and quite rude trying to decline the issue. As per her words, the item doesn’t have warranty as it’s not mentioned and it’s as per your policy, I should know this as a default, however she confirmed that it’s not mentioned in terms and conditions. As per my knowledge as a default any electronic device should have at least 1 year warranty otherwise - being specified (as per UAE law). Also I’ve asked few times to make sure that after the call I’ll me forwarded to the feedback session, however the lady just cut the line in the end, so I couldn’t provide any feedback/score.

So, I am emailing you here with the request to look after the case and sort it please, to take responsibility for the item you sold. If it would be ignored I strongly feel raising this case with UAE Consumer Rights (Customers Happiness Centre). The order number and phone case are at the subject line.

Yuliya Skoryk
0566868870

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4668966